# Retry Pipeline

Retry a executed Pipeline with inputSet Pipeline yaml.

Endpoint: POST /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/execute/retry/{execution-id}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

  - `execution-id` (string, required)
    Pipeline Execution identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `module` (string)
    Module type for the entity. If its from deployments,type will be CD , if its from build type will be CI.

  - `retry_stages` (array)
    This param contains the identifier of stages from where to resume. It will be a list if we want to retry from parallel group.

  - `run_all_stages` (boolean)
    This param provides an option to run only the failed stages when Pipeline fails at parallel group. By default, it will run all the stages in the failed parallel group.

  - `notes` (string)
    Notes of a Pipeline execution.

## Request fields (application/json):

  - `inputs_yaml` (string)
    Inputs YAML if the pipeline contains runtime inputs. This will be empty by default if pipeline does not contains runtime inputs

## Response 200 fields (application/json):

  - `execution_details` (object)

  - `execution_details.execution_id` (string)

  - `execution_details.status` (string)


